import React from 'react';
import '../content.less';
import LeftTab from './leftTab.jsx';

import Patent from './patent.jsx';

const Content = React.createClass({
    getInitialState() {
        return {
            loading: false,
            leftKey: 'patent',
            userType: '0'
        };
    },
    handlekey(key) {
        this.setState({
            leftKey: key,
        });
    },
    render() {
        return (
            <div className="acc-content">
                <LeftTab handlekey={this.handlekey} />
                <div className="content-right">
                    {(() => {
                        switch (this.state.leftKey) {
                            case 'patent':
                                return <Patent />;
                        };
                    })()}
                </div>
            </div>
        )
    }
});

export default Content;